<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWCM4001.aspx.cs" Inherits="Page_CWCM4001" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>

<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
	<px:PXDataSource ID="ds" runat="server" Visible="True" 
        TypeName="Crestwood.CM.CWCMCollectionMangerInq" PrimaryView="Filter" SuspendUnloading="False" PageLoadBehavior="PopulateSavedValues">
        <CallbackCommands>
            
            <px:PXDSCallbackCommand  DependOnGrid="grid" Name="ShowPmtApplications" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="AddPromise" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand DependOnGrid="grdPromises" Name="editPromise" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="NewActivitiesFolder" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="NewEmailActivity" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="NewActivity" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand DependOnGrid="gridCMActivities" Name="CompleteActivity" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand DependOnGrid="gridCMActivities" Name="editActivity" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand DependOnGrid="gridCMActivities" Name="ViewCurrentBatch" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand DependOnGrid="gridCMActivities" Name="ViewApplicationDocument" Visible="False" ></px:PXDSCallbackCommand>

        </CallbackCommands>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
	<px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" 
		Width="100%" DataMember="Filter" TabIndex="100">
		<Template>
			<px:PXLayoutRule runat="server" StartRow="True" LabelsWidth="S" ControlSize="M"/>
            <px:PXSelector ID="edCustomerID" runat="server" DataField="CustomerID" DisplayMode="Hint" AllowEdit="true" CommitChanges="True"/>       
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="XXS" ControlSize="XXS" />
            <px:PXTextEdit ID="edLevel" runat="server" DataField="Level" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="XS" ControlSize="S" />
            <px:PXDropDown ID="edStatus" runat="server" DataField="Status" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="XS" ControlSize="XM" />
            <px:PXCheckBox ID="edIncludeChildren" runat="server" DataField="IncludeChildren" CommitChanges="True" />
			<px:PXLayoutRule runat="server" StartRow="True" LabelsWidth="S" ControlSize="M"/>
            <px:PXSelector ID="PXSelector2" runat="server" DataField="CustomerClass" AllowEdit="true"/>  
		</Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" Runat="Server">
    <px:PXTab ID="tab" runat="server" Height="1000px" DataSourceID="ds" Width="100%" DataMember="Filter">
	    <Items>
		    <px:PXTabItem Text="General Info">
                <Template>
                    <px:PXLayoutRule runat="server" ControlSize="XM" LabelsWidth="SM" StartColumn="True"></px:PXLayoutRule>
                    <px:PXLayoutRule ID="PXLayoutRule12" runat="server" GroupCaption="Main Contact Info" 
                        StartGroup="True" StartColumn="True" StartRow="True"></px:PXLayoutRule>
                     <px:PXDropDown runat="server" ID="CstPXDropDown6" DataField="ParentChildContact" CommitChanges="True" Width="150px" ></px:PXDropDown>	
                    <px:PXFormView ID="primaryContactForm" runat="server" DataSourceID="ds" DataMember="CustInfoQuery" SkinID="Transparent" Caption="Main Contact Info" >
		                <Template>
                            <px:PXSelector ID="edParentCustomerID" runat="server" DataField="ParentCustomerID" ></px:PXSelector>
                            <px:PXTextEdit ID="edContactName" runat="server" DataField="ContactName" ></px:PXTextEdit>
                            <px:PXMailEdit ID="edEMail" runat="server" CommandName="NewEmailActivity" CommandSourceID="ds" DataField="EMail"></px:PXMailEdit>  
                            <px:PXLayoutRule ID="PXLayoutRule4" runat="server" Merge="True"></px:PXLayoutRule>
                                <px:PXDropDown ID="PXDropDown1" runat="server" DataField="Phone1Type" Size="S" SuppressLabel="True"
                                    TabIndex="-1"></px:PXDropDown>
                                <px:PXMaskEdit ID="PXMaskEdit1" runat="server" DataField="Phone1" SuppressLabel="True" LabelWidth="34px"></px:PXMaskEdit>
                            <px:PXLayoutRule ID="PXLayoutRule5" runat="server" Merge="True"></px:PXLayoutRule>
                                <px:PXDropDown ID="PXDropDown2" runat="server" DataField="Phone2Type" Size="S" SuppressLabel="True"
                                    TabIndex="-1"></px:PXDropDown>
                                <px:PXMaskEdit ID="PXMaskEdit2" runat="server" DataField="Phone2" SuppressLabel="True" LabelWidth="34px"></px:PXMaskEdit>
                            <px:PXLayoutRule ID="PXLayoutRule6" runat="server" Merge="True"></px:PXLayoutRule>
                                <px:PXDropDown ID="PXDropDown3" runat="server" DataField="Phone3Type" Size="S" SuppressLabel="True"
                                    TabIndex="-1"></px:PXDropDown>
                                <px:PXMaskEdit ID="PXMaskEdit3" runat="server" DataField="Phone3" SuppressLabel="True" LabelWidth="34px"></px:PXMaskEdit>
                            <px:PXLayoutRule ID="PXLayoutRule7" runat="server" Merge="True"></px:PXLayoutRule>
                                <px:PXDropDown ID="PXDropDown4" runat="server" DataField="FaxType" Size="S" SuppressLabel="True"
                                    TabIndex="-1"></px:PXDropDown>
                                <px:PXMaskEdit ID="PXMaskEdit4" runat="server" DataField="Fax" SuppressLabel="True" LabelWidth="34px"></px:PXMaskEdit></Template>
                    </px:PXFormView>

                    <px:PXLayoutRule ID="PXLayoutRule11" runat="server" GroupCaption="Credit Info" StartGroup="True"></px:PXLayoutRule>
                    <px:PXFormView ID="PXFormView2" runat="server" DataSourceID="ds" DataMember="CustInfoQuery" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" ControlSize="XM" LabelsWidth="SM"></px:PXLayoutRule>
                            <px:PXDropDown ID="PXDropDown6" runat="server" DataField="CreditStatus" Size="S"></px:PXDropDown>
                            <px:PXNumberEdit ID="PXNumberEdit3" runat="server" DataField="CreditLimit" />
                            <px:PXNumberEdit ID="PXNumberEdit4" runat="server" DataField="RemainingCreditLimit" />
                        </Template>
                    </px:PXFormView>

                   
                    <px:PXLayoutRule ID="PXLayoutRule10" runat="server" StartColumn="True"></px:PXLayoutRule>

                    <px:PXGrid ID="PXGridAnswers" runat="server" DataSourceID="ds" SkinID="Inquire" Height="200px" Width="400px" MatrixMode="True"
                        Caption="Customer Attributes" CaptionVisible="true">
                        <Levels>
                            <px:PXGridLevel DataMember="Answers">
                                <Columns>
                                    <px:PXGridColumn DataField="AttributeID" TextAlign="Left" AllowShowHide="False"
                                        TextField="AttributeID_description" ></px:PXGridColumn>
                                    <px:PXGridColumn DataField="Value" AllowShowHide="False" AllowSort="False" ></px:PXGridColumn>
                                </Columns>
                                <Layout FormViewHeight="" ></Layout>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar>
                            <Actions>
                                <Search Enabled="False" ></Search>
                            </Actions>
                        </ActionBar>
                        <Mode AllowAddNew="False" AllowColMoving="False" AllowDelete="False" AllowUpdate="False"></Mode>
                    </px:PXGrid>


                    <px:PXLayoutRule ID="PXLayoutRule8" runat="server" GroupCaption="Documents Overview" StartGroup="True" StartRow="True"></px:PXLayoutRule>
                    <px:PXFormView ID="CustInfoFrm" runat="server" DataSourceID="ds" DataMember="CustInfoQuery" SkinID="Transparent" >
		                <Template>
                            <px:PXLayoutRule ID="PXLayoutRule2" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
                            <px:PXDateTimeEdit ID="dtLastOrdDate" runat="server" DataField="LastOrdDate"/>
                            <px:PXDateTimeEdit ID="dtLastInvDate" runat="server" DataField="LastInvDate"/>
                            <px:PXDateTimeEdit ID="dtLastPmt" runat="server" DataField="LastPmtDate"/>   
                            <px:PXTextEdit ID="PXTextEdit7" runat="server" DataField="TermsID" />
                            <px:PXLayoutRule ID="PXLayoutRule3" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" />
                            <px:PXNumberEdit ID="nbCurrentBal" runat="server" DataField="Balance" />
                            <px:PXNumberEdit ID="nbAging1" runat="server" DataField="aging1" />
                            <px:PXNumberEdit ID="nbAging2" runat="server" DataField="aging2" />
                            <px:PXNumberEdit ID="nbAging3" runat="server" DataField="aging3" />
                            <px:PXNumberEdit ID="nbAging4" runat="server" DataField="aging4" />
                            <px:PXLayoutRule ID="PXLayoutRule1" runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="XM" />
                            <px:PXNumberEdit ID="nbYTD" runat="server" DataField="YTDSales" />
                            <px:PXNumberEdit ID="nbLastYr" runat="server" DataField="LastYrSales" />
                            <px:PXNumberEdit ID="nbDaysPastDue" runat="server" DataField="DaysPastDue" />
                            <px:PXNumberEdit ID="nbPastDueBalance" runat="server" DataField="PastDueBalance" />
                            <px:PXNumberEdit ID="nbAverageDaysToPay" runat="server" DataField="AverageDaysToPay" />
                        </Template>
                    </px:PXFormView>

                    <px:PXLayoutRule ID="PXLayoutRule13" runat="server" StartRow="True"></px:PXLayoutRule>
                    <px:PXFormView ID="PXFormView1" runat="server" DataSourceID="ds" DataMember="CustInfoQuery" SkinID="Transparent" >
		                <Template>
                            <px:PXLayoutRule ID="PXLayoutRule14" runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="XM" StartGroup="True" GroupCaption="Aging Bucket %"/>
                            <px:PXNumberEdit ID="PXNumberEdit1" runat="server" DataField="Aging1Pct" />
                            <px:PXNumberEdit ID="PXNumberEdit2" runat="server" DataField="Aging2Pct" />
                            <px:PXNumberEdit ID="PXNumberEdit5" runat="server" DataField="Aging3Pct" />
                            <px:PXNumberEdit ID="PXNumberEdit6" runat="server" DataField="Aging4Pct" />
                            <px:PXLayoutRule ID="PXLayoutRule15" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" StartGroup="True" GroupCaption="DSO"/>
                            <px:PXNumberEdit ID="edDSOPeriod1" runat="server" DataField="DSOPeriod1" />
                            <px:PXNumberEdit ID="edDSOPeriod2" runat="server" DataField="DSOPeriod2" />
                            <px:PXNumberEdit ID="edDSOPeriod3" runat="server" DataField="DSOPeriod3" />
                            
                        </Template>
                    </px:PXFormView>

                    <px:PXLayoutRule ID="PXLayoutRule9" runat="server" StartRow="True"></px:PXLayoutRule>
                    <px:PXFormView ID="CurrentCustomerForm" runat="server" DataSourceID="ds" DataMember="CurrentCustomer" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule ID="PXLayoutRule888233" runat="server" StartColumn="True" />
                        </Template>
                    </px:PXFormView>

                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Collectors">
                <Template>
                    <px:PXGrid ID="CollectorsGrid" runat="server" DataSourceID="ds"  AllowPaging="true" AdjustPageSize="Auto"
                        SkinID="Inquire" Height="100%" Width="100%" SyncPosition="True" KeepPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="Collectors">
                                <Columns>
                                    <px:PXGridColumn DataField="UserID" Width="100px" LinkCommand="ViewCollector"/>
                                    <px:PXGridColumn DataField="FirstName" Width="200px"/>
                                    <px:PXGridColumn DataField="LastName" Width="200px"/>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Enabled="True" ></AutoSize>
                        <Mode AllowFormEdit="False" AllowDelete="false" AllowAddNew ="false" ></Mode>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Customer Documents">
                <Template>
                    <px:PXSplitContainer runat="server" ID="PXSplitContainer1" SplitterPosition="300" SkinID="Horizontal" Height="600px">
                    <AutoSize Enabled="true" ></AutoSize>
                        <Template1>	
                            <px:PXGrid ID="grid" runat="server" DataSourceID="ds" AllowPaging="true" AdjustPageSize="Auto"
                                    SkinID="Details" Height="550px" Width="100%" SyncPosition="True" KeepPosition="True"
                                    Caption="Customer Documents" AllowSearch="true" ActionsPosition="Top" 
                                    AllowFilter="true" CaptionVisible="true">
                                 <ActionBar> 
                                       <CustomItems> 
                                            <px:PXToolBarButton Key="ShowPmtApplications" > 
                                                <AutoCallBack Command="ShowPmtApplications" Target="ds"></AutoCallBack> 
                                            </px:PXToolBarButton> 
                                       </CustomItems> 
                                 </ActionBar>
                                <Levels>
                                    <px:PXGridLevel DataMember="Docs">
                                        <Columns>
                                            <px:PXGridColumn DataField="Selected" Type="CheckBox" CommitChanges="True"
                                                AllowCheckAll="True" AllowSort="False" AllowMove="False" TextAlign="Center" />
                                            <px:PXGridColumn DataField="DocType" />
                                            <px:PXGridColumn DataField="RefNbr" LinkCommand="ViewEntity" />
                                            <px:PXGridColumn DataField="Status" />
                                            <px:PXGridColumn DataField="CustomerID" LinkCommand="ViewEntity"/>
                                            <px:PXGridColumn DataField="CustomerID_Description" />
                                            <px:PXGridColumn DataField="DocDesc"  />
                                            <px:PXGridColumn DataField="DocDate"  />
                                            <px:PXGridColumn DataField="OrigDocAmt"  />
                                            <px:PXGridColumn DataField="CuryOrigDocAmt"  />
                                            <px:PXGridColumn DataField="DocBal"  />
                                            <px:PXGridColumn DataField="CuryDocBal"  />
                                            <px:PXGridColumn DataField="CuryID"  />
                                            <px:PXGridColumn DataField="DueDate"  />
                                            <px:PXGridColumn DataField="UsrCWCMPastDue" />
                                            <px:PXGridColumn DataField="UsrCWCMDaysOld" />
                                            <px:PXGridColumn DataField="UsrCWCMAgingBucket" />
                                            <px:PXGridColumn DataField="BranchID" LinkCommand="ViewEntity" />
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <AutoCallBack Target="gridCMActivities" Command="Refresh" ActiveBehavior="true" >
                                            <Behavior RepaintControlsIDs="gridCMActivities, gridAdjustments"  />
                                </AutoCallBack>
                                <AutoCallBack Target="gridAdjustments" Command="Refresh"  ActiveBehavior="true" ></AutoCallBack>

                                <Mode AllowFormEdit="False" AllowDelete="false" AllowAddNew ="false" AllowUpdate="false"></Mode>
                                <AutoSize Enabled="True" ></AutoSize>
                            </px:PXGrid>
                           
                        </Template1>
                        <Template2>
                                    <px:PXFormView ID="PXFormView3" runat="server" DataSourceID="ds" Width="100%" DataMember="Filter" Height="25px">
                                        <Template>
                                            <px:PXCheckBox ID="edAllActivities" runat="server" DataField="AllActivities" CommitChanges="True" >
                                            </px:PXCheckBox>
                                        </Template>
                                    </px:PXFormView>

                                    <px:PXGrid ID="gridCMActivities" runat="server" DataSourceID="ds" AllowPaging="true"
                                            AdjustPageSize="Auto" SkinID="Details" ActionsPosition="Top" Width="100%" 
                                            SyncPosition="True" Caption="Collections Activities" AllowSearch="true" CaptionVisible="true">  
                                        <ActionBar> 
                                            <CustomItems> 
                                                <px:PXToolBarButton Key="NewActivitiesFolder" > 
                                                    <AutoCallBack  Command="NewActivitiesFolder"  Target="ds"  ></AutoCallBack> 
                                                </px:PXToolBarButton> 
                                                <px:PXToolBarButton  Text="New Email"  Enabled="true"> 
                                                    <AutoCallBack Command="NewEmailActivity"  Target="ds" ></AutoCallBack> 
                                                    </px:PXToolBarButton> 
                                                <px:PXToolBarButton  Text="Edit"> 
                                                    <AutoCallBack Command="EditActivity"  Target="ds" ></AutoCallBack> 
                                                </px:PXToolBarButton> 
                                                <px:PXToolBarButton  Text="New Activity" Enabled="true" DisplayStyle= "Text"> 
                                                    <AutoCallBack Command="NewActivity" Target="ds" ></AutoCallBack> 
                                                </px:PXToolBarButton> 
                                                <px:PXToolBarButton  Text="Complete Activity" Enabled="true" DisplayStyle="Text"> 
                                                    <AutoCallBack Command="CompleteActivity" Target="ds" ></AutoCallBack> 
                                                </px:PXToolBarButton> 
                                            </CustomItems> 
                                        </ActionBar>
                                    <Levels> 
                                        <px:PXGridLevel DataMember="CMCustActivities"> 
                                                <Columns> 
                                                <px:PXGridColumn DataField="ClassInfo" Width="150px" AllowShowHide="False" AllowResize="False" ForceExport="True" />
                                                <px:PXGridColumn DataField="ClassIcon" Width="31px" AllowShowHide="False" AllowResize="False" ForceExport="True" />
                                                <px:PXGridColumn DataField="Subject" Width="400px" LinkCommand="EditActivity" /> 
                                                <px:PXGridColumn DataField="CustomerID" Width="90px" />
                                                <px:PXGridColumn DataField="ContactID" Width="90px" />
                                                <px:PXGridColumn DataField="StartDate" DataType="DateTime" DisplayFormat="d" Width="120px" />
                                                <px:PXGridColumn DataField="DueDate" DataType="DateTime" DisplayFormat="d" Width="120px" />
                                                <px:PXGridColumn DataField="Invoices" TextAlign="Right" />
                                                <px:PXGridColumn DataField="Balance" TextAlign="Right" />
                                                <px:PXGridColumn DataField="CompletedDate" DataType="DateTime" DisplayFormat="d" Width="120px" />
                                                <px:PXGridColumn DataField="CategoryID" />
                                                <px:PXGridColumn DataField="Status" />
                                                <px:PXGridColumn DataField="OwnerName" Width="150px" Visible="True" DisplayMode="Text" />
                                                <px:PXGridColumn DataField="ReportsTo" Width="150px" Visible="True" DisplayMode="Text" />
                                            </Columns> 
                                        </px:PXGridLevel> 
                                    </Levels> 

                                    <Mode  AllowAddNew="false" AllowDelete="False" AllowUpdate="False" ></Mode> 
                                    <AutoSize Enabled="True" MinHeight="150"></AutoSize> 

                                    </px:PXGrid> 

                           
                        </Template2>
                    </px:PXSplitContainer>
                </Template>
            </px:PXTabItem>
             <px:PXTabItem Text="Customer Promises">
                  <Template>
                            <px:PXGrid ID="grdPromises" runat="server" DataSourceID="ds" AllowPaging="true" AdjustPageSize="Auto"
                                    SkinID="Details" Height="550px" Width="100%" SyncPosition="True" KeepPosition="True"
                                    Caption="Customer Promises" AllowSearch="true" ActionsPosition="Top" 
                                    AllowFilter="true" CaptionVisible="true">
                                 <ActionBar> 
                                       <CustomItems> 
                                            <px:PXToolBarButton Key="AddPromise" > 
                                                <AutoCallBack Command="AddPromise" Target="ds"></AutoCallBack> 
                                            </px:PXToolBarButton> 
                                            <px:PXToolBarButton Key="EditPromise" > 
                                                <AutoCallBack Command="EditPromise" Target="ds"></AutoCallBack> 
                                            </px:PXToolBarButton> 
                                       </CustomItems> 
                                 </ActionBar>
                                <Levels>
                                    <px:PXGridLevel DataMember="Promises">
                                        <Columns>
                                            <px:PXGridColumn DataField="PromiseID" LinkCommand="EditPromise" />
                                            <px:PXGridColumn DataField="Broken" />
                                            <px:PXGridColumn DataField="Status" />
                                            <px:PXGridColumn DataField="Description"  />
                                            <px:PXGridColumn DataField="ContactID"  />
                                            <px:PXGridColumn DataField="PayAmount"  />
                                            <px:PXGridColumn DataField="PayByDate"  />
                                            <px:PXGridColumn DataField="RefNbr"  />
                                            <px:PXGridColumn DataField="DocType"  />
                                            <px:PXGridColumn DataField="Collector"  />
                                            <px:PXGridColumn DataField="LastChecked"  />
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>

                                <Mode AllowFormEdit="False" AllowDelete="false" AllowAddNew ="false" AllowUpdate="false"></Mode>
                                <AutoSize Enabled="True" ></AutoSize>
                            </px:PXGrid>
                  </Template>
        </px:PXTabItem>
        </Items>
    </px:PXTab>
</asp:Content>
<asp:Content ID="cont4" runat="server" contentplaceholderid="phDialogs">
     <px:PXSmartPanel ID="PanelApplications" runat="server" Width="764px" Caption="Application Details" DesignView="Content" CaptionVisible="True"
        Key="Adjustments_History" AutoCallBack-Command="Refresh" Height="500px">
        <px:PXGrid ID="gridAdjustments" runat="server" Style="z-index: 100;" Width="100%" Height="400px" SkinID="DetailsInTab" 
                                        AdjustPageSize="Auto" AllowPaging="True" Caption="Selected Payment invoices" SyncPosition="True" KeepPosition="True">
                                        <Levels>
                                            <px:PXGridLevel DataMember="Adjustments_History">
                                                <Mode AllowAddNew="False" AllowDelete="False" AllowUpdate="False" AllowFormEdit="False"></Mode>
                                                <Columns>
                                                    <px:PXGridColumn DataField="AdjdBranchID" RenderEditorText="True" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="AdjBatchNbr" AllowUpdate="False" LinkCommand="ViewCurrentBatch" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="AdjdDocType" RenderEditorText="True" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="AdjdRefNbr" LinkCommand="ViewApplicationDocument"></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="AdjdLineNbr" ></px:PXGridColumn>

                                                    <px:PXGridColumn DataField="ARTran__InventoryID" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="ARTran__ProjectID" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="ARTran__TaskID" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="ARTran__CostCodeID" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="ARTran__AccountID" ></px:PXGridColumn>

                                                    <px:PXGridColumn AllowNull="False" DataField="CuryAdjgAmt" TextAlign="Right" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" DataField="CuryAdjgPPDAmt" TextAlign="Right" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowUpdate="False" DataField="CuryAdjgWOAmt" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowUpdate="False" DataField="AdjdDocDate" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="ARInvoice__DueDate" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="ARInvoice__DiscDate" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="CuryDocBal" TextAlign="Right" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="CuryDiscBal" TextAlign="Right" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="ARInvoice__DocDesc" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowUpdate="False" DataField="AdjdCuryID" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowUpdate="False" DataField="AdjdFinPeriodID" ></px:PXGridColumn>
                                                    <px:PXGridColumn AllowNull="False" AllowUpdate="False" DataField="ARInvoice__InvoiceNbr" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="PendingPPD" TextAlign="Center" Type="CheckBox" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="PPDCrMemoRefNbr" LinkCommand="ViewPPDCrMemo" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="TaxInvoiceNbr" ></px:PXGridColumn>
                                                    <px:PXGridColumn DataField="HasExpiredComplianceDocuments" Type="CheckBox" ></px:PXGridColumn>
                                                </Columns>
                                            </px:PXGridLevel>
                                            </Levels>
                                        <AutoSize Enabled="True" MinHeight="150" ></AutoSize>
                                        <ActionBar>
                                            <Actions>
                                                <AddNew Enabled="False" ></AddNew>
                                                <EditRecord Enabled="False" ></EditRecord>
                                                <Delete Enabled="False" ></Delete>
                                            </Actions>
                                        </ActionBar>
                                    </px:PXGrid>
        <px:PXPanel ID="pnlOk" runat="server" SkinID="Buttons">
            <px:PXButton ID="btnOk" runat="server" DialogResult="OK" Text="OK" />
        </px:PXPanel>
    </px:PXSmartPanel>
     <px:PXSmartPanel ID="pnlSendEmail" runat="server" Caption="Send Email" CaptionVisible="true" DesignView="Hidden" LoadOnDemand="true" key="SendEmailFilter" CreateOnDemand="false" AutoCallBack-Enabled="true" AutoCallBack-Target="formSendEmail" AutoCallBack-Command="Refresh" CallBackMode-CommitChanges="True" CallBackMode-PostData="Page" AcceptButtonID="btnOK"> 
         <px:PXFormView ID="formSendEmail" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" CaptionVisible="False" DataMember="SendEmailFilter"> 
            <ContentStyle BackColor="Transparent" BorderStyle="None" ></ContentStyle> 
            <Template> 
                <px:PXLayoutRule ID="rlAcctCD" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" ></px:PXLayoutRule> 
                <px:PXSelector ID="PXSelector1" runat="server" DataField="ContactID" DisplayMode="Text" TextMode="Search"/>
                <px:PXSelector ID="edTemplate" runat="server" DataField="ActivityTemplate" DisplayMode="Text" TextMode="Search"/>
                <px:PXCheckBox ID="PXAttach" TrueValue="1" FalseValue="0" runat="server" DataField="AttachEmails"/>
                <px:PXCheckBox ID="PXActivity" TrueValue="1" FalseValue="0" runat="server" DataField="CreateActivity"/>
            </Template> 
         </px:PXFormView> 
         <px:PXPanel ID="pnlChangeIDButton" runat="server" SkinID="Buttons"> 
             <px:PXButton ID="btnSend" runat="server" DialogResult="OK" Text="Send"> 
                <AutoCallBack Target="formSendMail" Command="Save" ></AutoCallBack> 
             </px:PXButton> 
             <px:PXButton ID="btnCancel" runat="server" DialogResult="Cancel" Text="Cancel" ></px:PXButton> 
         </px:PXPanel>
     </px:PXSmartPanel>
</asp:Content>